## org.apache.batik.util.io
Class StringNormalizingReader

    java.lang.Object
      java.io.Reader
          org.apache.batik.util.io.NormalizingReader
              org.apache.batik.util.io.StringNormalizingReader

public class StringNormalizingReader
extends NormalizingReader

This class represents a NormalizingReader which handles Strings.

Field Summary
`protected int` `column` The current column in the stream.
`protected int` `length` The length of the string.
`protected int` `line` The current line in the stream.
`protected int` `next` The index of the next character.
`protected java.lang.String` `string` The characters.

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`StringNormalizingReader(java.lang.String s)` Creates a new StringNormalizingReader.

Method Summary
`void` `close()` Close the stream.
`int` `getColumn()` Returns the current column in the stream.
`int` `getLine()` Returns the current line in the stream.
`int` `read()` Read a single character.

Methods inherited from class org.apache.batik.util.io.NormalizingReader
`read`

Methods inherited from class java.io.Reader
`mark, markSupported, read, ready, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### string

    protected java.lang.String string

  The characters.

### length

    protected int length

  The length of the string.

### next

    protected int next

  The index of the next character.

### line

    protected int line

  The current line in the stream.

### column

    protected int column

  The current column in the stream.

Constructor Detail

### StringNormalizingReader

    public StringNormalizingReader(java.lang.String s)

  Creates a new StringNormalizingReader.

Parameters:
  `s` - The string to read.

Method Detail

### read

    public int read()
             throws java.io.IOException

  Read a single character. This method will block until a character is available, an I/O error occurs, or the end of the stream is reached.

  Throws:
    `java.io.IOException`

### getLine

    public int getLine()

  Returns the current line in the stream.

  Specified by:
    `getLine` in class `NormalizingReader`

### getColumn

    public int getColumn()

  Returns the current column in the stream.

  Specified by:
    `getColumn` in class `NormalizingReader`

### close

    public void close()
               throws java.io.IOException

  Close the stream.

  Throws:
    `java.io.IOException`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.